summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2015-06-25 07:27:03 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-06-25 07:27:03 +0700
commit1ff1e5cdd6435c2f15ee8d47df583d8d165db48f (patch)
tree253a66e299c0107cc460a3031c634b9ee444f6b7
parentcbeb5853fecf2652ca5a4654056a4f105f541706 (diff)
downloadslackbuilds-1ff1e5cdd6435c2f15ee8d47df583d8d165db48f.tar.gz
slackbuilds-1ff1e5cdd6435c2f15ee8d47df583d8d165db48f.tar.xz
system/sysdig: Added (exploration and troubleshooting tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/sysdig/README10
-rw-r--r--system/sysdig/doinst.sh1
-rw-r--r--system/sysdig/slack-desc19
-rw-r--r--system/sysdig/sysdig.SlackBuild116
-rw-r--r--system/sysdig/sysdig.info10
5 files changed, 156 insertions, 0 deletions
diff --git a/system/sysdig/README b/system/sysdig/README
new file mode 100644
index 0000000000..4bd2f47c13
--- /dev/null
+++ b/system/sysdig/README
@@ -0,0 +1,10 @@
+Sysdig is open source, system-level exploration: capture system state and
+activity from a running Linux instance, then save, filter and analyze. Sysdig is
+scriptable in Lua and includes a command line interface and a powerful
+interactive UI, csysdig, that runs in your terminal. Think of sysdig as strace +
+tcpdump + htop + iftop + lsof + awesome sauce. With state of the art container
+visibility on top.
+
+To build the package for a kernel different from the running one, start the
+script setting the KERNEL variable as in
+KERNEL=2.6.38.8 ./sysdig.SlackBuild
diff --git a/system/sysdig/doinst.sh b/system/sysdig/doinst.sh
new file mode 100644
index 0000000000..766ff48186
--- /dev/null
+++ b/system/sysdig/doinst.sh
@@ -0,0 +1 @@
+chroot . /sbin/depmod -a @KERNEL@
diff --git a/system/sysdig/slack-desc b/system/sysdig/slack-desc
new file mode 100644
index 0000000000..357431b520
--- /dev/null
+++ b/system/sysdig/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sysdig: sysdig (system-level exploration and troubleshooting tool)
+sysdig:
+sysdig: Sysdig is open source, system-level exploration: capture system state
+sysdig: and activity from a running Linux instance, then save, filter and
+sysdig: analyze. Sysdig is scriptable in Lua and includes a command line
+sysdig: interface and a powerful interactive UI, csysdig, that runs in your
+sysdig: terminal. Think of sysdig as strace + tcpdump + htop + iftop + lsof
+sysdig: + awesome sauce. With state of the art container visibility on top.
+sysdig:
+sysdig: Homepage: http://www.sysdig.org/
+sysdig:
diff --git a/system/sysdig/sysdig.SlackBuild b/system/sysdig/sysdig.SlackBuild
new file mode 100644
index 0000000000..b424292d61
--- /dev/null
+++ b/system/sysdig/sysdig.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/sh
+
+# Slackware build script for sysdig
+
+# Copyright 2015 Larry Hajali <larryhaja[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sysdig
+VERSION=${VERSION:-0.1.101}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+KERNEL=${KERNEL:-$(uname -r)}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz 2>/dev/null || tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Fix jsoncpp header file location.
+sed -i 's|json/|jsoncpp/|g' CMakeLists.txt userspace/libsinsp/*.{h,cpp}
+# Fix manpage location
+sed -i 's|share/||' userspace/sysdig/man/CMakeLists.txt
+
+mkdir build
+cd build
+ cmake -G "Unix Makefiles" \
+ -DCMAKE_INSTALL_PREFIX:PATH="/usr" \
+ -DSYSDIG_VERSION="$VERSION" \
+ -DDIR_ETC:PATH="/etc" \
+ -DUSE_BUNDLED_ZLIB:BOOL=OFF \
+ -DUSE_BUNDLED_NCURSES:BOOL=OFF \
+ -DUSE_BUNDLED_JSONCPP:BOOL=OFF \
+ -DUSE_BUNDLED_LUAJIT:BOOL=OFF \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+ mkdir -p $PKG/lib/modules/$KERNEL/misc
+ install -m 0644 driver/$PRGNAM-probe.ko $PKG/lib/modules/$KERNEL/misc
+cd -
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.md COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Remove dkms related files.
+rm -rf $PKG/usr/src $PKG/usr/bin/sysdig-probe-loader
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+sed "s|@KERNEL@|$KERNEL|" $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/sysdig/sysdig.info b/system/sysdig/sysdig.info
new file mode 100644
index 0000000000..bf40d4f66c
--- /dev/null
+++ b/system/sysdig/sysdig.info
@@ -0,0 +1,10 @@
+PRGNAM="sysdig"
+VERSION="0.1.101"
+HOMEPAGE="http://www.sysdig.org"
+DOWNLOAD="https://github.com/draios/sysdig/archive/0.1.101.tar.gz"
+MD5SUM="5fe96a3a0fd98b2157a40cb29af41afc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jsoncpp luajit"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"